For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all automations for a project template.
      • POSTCreates a new automation for a given project template.
      • GETReturns a specific automation for a projecttemplate.
      • PUTUpdates the automation with the specified id for a given projecttemplate.
      • DELDeletes the specified automation for a given projecttemplate.
      • GETGets the actions of an automation of a project template.
      • POSTCreates a new action for an automation of a project template.
      • GETGets a specific action for an automation of a projecttemplate.
      • PUTUpdates a specifc action of an automation of a project template.
      • DELDeletes an action for an automation of a project template.
      • POSTUpdates the order of a project template automation action.
      • POSTReapplies the automation to all projects of this specific project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Automations

Deletes an action for an automation of a project template.

DELETE
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/automations/:automationId/actions/:actionId
DELETE
/api/v1/projecttemplates/:projectTemplateId/automations/:automationId/actions/:actionId
$curl -X DELETE https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId/actions/actionId \
> -H "Authorization: Bearer <token>"
Deletes an action for a specific automation of a project template including all its values. Actions of automations created from a workflow cannot be deleted. <Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Updates the order of a project template automation action.

Next
Built with

Deletes an action for a specific automation of a project template including all its values. Actions of automations created from a workflow cannot be deleted.

Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.
automationIdstringRequiredformat: "uuid"
The id of the automation.
actionIdstringRequiredformat: "uuid"
The id of the action.

Response

No Content

Errors

400
Bad Request Error